summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHiroshi SHIBATA <hsbt@ruby-lang.org>2019-07-21 12:16:56 +0900
committerNobuyoshi Nakada <nobu@ruby-lang.org>2019-07-25 07:47:07 +0900
commit938032a790b22a1b49c1b112ede2da4597b4e75c (patch)
treea1a4176fb6cd2f882c5a188905522bb422177c88
parent0a63c4d5fbbbfae9aba92c78e39b1521b90f1b06 (diff)
[ruby/psych] Do not use add_development_dependency.
https://github.com/ruby/psych/commit/939754237f
-rw-r--r--ext/psych/psych.gemspec5
1 files changed, 0 insertions, 5 deletions
diff --git a/ext/psych/psych.gemspec b/ext/psych/psych.gemspec
index 469ee5de73..f564c51bb5 100644
--- a/ext/psych/psych.gemspec
+++ b/ext/psych/psych.gemspec
@@ -51,9 +51,6 @@ DESCRIPTION
s.rubygems_version = "2.5.1"
s.required_rubygems_version = Gem::Requirement.new(">= 0")
- s.add_development_dependency 'rake-compiler', ">= 0.4.1"
- s.add_development_dependency 'minitest', "~> 5.0"
-
if RUBY_ENGINE == 'jruby'
s.platform = 'java'
s.files.concat [
@@ -67,9 +64,7 @@ DESCRIPTION
]
s.requirements = "jar org.yaml:snakeyaml, #{Psych::DEFAULT_SNAKEYAML_VERSION}"
s.add_dependency 'jar-dependencies', '>= 0.1.7'
- s.add_development_dependency 'ruby-maven'
else
s.extensions = ["ext/psych/extconf.rb"]
- s.add_development_dependency 'rake-compiler-dock', ">= 0.6.3"
end
end